Subject: bug#38992: 27.0.60; when enabled, fido-mode seems to break vc-git-grep

From: Dmitry Gutov <[email-masked]>
Date: Fri, 10 Jan 2020 01:27:36 +0300

On 09.01.2020 23:24, [email-masked] wrote:
> Hi, sorry me again.

Hi! Please keep the bug address in Cc.

> Thanks for looking into this! I tried and the error message goes away. I still encounter a problem: once rgrep asks for the file extensions, icomplete accepts any input that is not in the completion list (e.g. abcdf*.sdf <Enter> or simply the default) but fido says "incomplete" and does not allow to proceed unless I select a directory / file from the completion list (which does not really make sense; C-f to change to the default prompt like with ido in find file does not work). This might be an error on my side though not knowing the right shortcut - I am still new to ido / fido (sorry!).

To clarify (for Joao), we see "Incomplete" when trying to input a 
wildcard that's not in the suggested completions list.